@mixin btn-clear() {
  cursor: pointer;
  background: none;
  line-height: normal;
  min-width: $main-input-width;
  @include appearance(none);
  border-radius: $btn-radius;
  @include main-font-style;
  font-size: cal-rem(15px);
}

@mixin btn-style($btn-bg-color:$btn-bg-color, $btn-border-color:$btn-border-color, $btn-font-color:$btn-font-color) {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0 10px;
  min-height: 35px;
  border: 1px solid;
  color: $btn-font-color;
  border-color: $btn-border-color;
  background-color: $btn-bg-color;
  &:hover,
  &:focus {
    border-color: darken($btn-border-color, 3%);
    background-color: darken($btn-bg-color, 3%);
  }
  &:active {
    border-color: darken($btn-border-color, 10%);
    background-color: darken($btn-bg-color, 10%);
  }
  &:disabled,
  .-disabled {
    opacity: 0.5;
    cursor: not-allowed;
    &:hover {
      background-color: $btn-bg-color;
    }
  }
}
